Bug 156200 - ghostscript explodes when fed some kinds of Acrobat Reader output
ghostscript explodes when fed some kinds of Acrobat Reader output
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-04-28 08:43 EDT by Barry K. Nathan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 8.15-0.rc3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-07 07:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of GhostScript when processing the test case PostScript file (2.83 KB, text/plain)
2005-04-28 08:46 EDT, Barry K. Nathan
no flags Details
test case PostScript file (277.57 KB, application/postscript)
2005-04-28 08:48 EDT, Barry K. Nathan
no flags Details

  None (edit)
Description Barry K. Nathan 2005-04-28 08:43:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
I've noticed lately that more and more documents are failing to fully print properly on the printer connected to my Fedora Core 3 print server. Examining /var/log/cups/error.log shows that ghostscript is blowing up.

Recently, I have (accidentally) found situations where this can be reproduced 100% of the time. The easiest way to hit the problem is to try printing from Adobe Reader 7.0.1 on a Mac running Mac OS 10.3.8, although I hit the problem earlier this month using Acrobat Reader 5.0.5 on Linux.

I didn't report this bug before, because all of my previous test cases involved private information (e.g. tax forms). However, I've managed to construct a test case using one of Red Hat's own web pages ;) so I can now report this bug.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download the PostScript file which I will attach after I file this bug. Save it with some filename (e.g. "d00394-001").
2. Run "gs d00394-001".
3. See whether gs can run without crashing. This particular test case seems to always cause crashes on the second page or so (after the first page in any case).

Actual Results:  I was going to cut-and-paste this, but it's longer than I expected (and it may be wide enough to mess up this Bugzilla anyway). I'll attach it instead.

Expected Results:  The "Error: /undefined in |-" should not happen, and ghostscript should not crash. Oh, and it should print all pages, not just the first page.

Additional info:

Workaround for Adobe Reader 7.0.1:
In the Print dialog box, click "Advanced". Then change "Font and Resource Policy" from the default of "Send by Range" to "Send at Start". (Maybe "Send for Each Page" will also work -- but I didn't try that. In any case, GhostScript works with "Send at Start" and blows up with "Send by Range".)

Unfortunately I have not managed to find a similar workaround for the Acrobat Reader 5.0.5 case.
Comment 1 Barry K. Nathan 2005-04-28 08:46:15 EDT
Created attachment 113769 [details]
output of GhostScript when processing the test case PostScript file

This is basically the "Actual Results" section of the Bugzilla. (No, I haven't
attached the test case yet. That will be the next attachment.)
Comment 2 Barry K. Nathan 2005-04-28 08:48:52 EDT
Created attachment 113771 [details]
test case PostScript file

This is the PS file that I'm using to reproduce all my troubles... (I captured
it by copying it out of /var/spool/cups when printing the source PDF from
Acrobat Reader on the family iMac.)
Comment 3 Barry K. Nathan 2005-04-28 17:41:53 EDT
GPL Ghostscript 8.15 running on Windows XP does not exhibit this bug.

(At this precise moment in time, it's easier for me to try Ghostscript 8.xx
under Windows than Linux. Hopefully I will have a chance to change that this
evening, but in the meantime I figure that knowing how GS 8.15 reacts on Windows
is better than *nothing*.)
Comment 4 Tim Waugh 2005-06-07 07:29:34 EDT
8.15-0.rc3.1 processes this file correctly for me, so this will be fixed in FC5.

Note You need to log in before you can comment on or make changes to this bug.